Subject: Re: linux-next: kvm tree build failure

From: Avi Kivity <[email-masked]>
Date: Wed, 24 Sep 2008 15:39:30 +0300

Ingo Molnar wrote:
> * Stephen Rothwell <[email-masked]> wrote:
>
>   
>> Hi Avi,
>>
>> Today's linux-next build (x86_64 allmodconfig) failed like this:
>>
>> In file included from arch/x86/kvm/../../../virt/kvm/kvm_main.c:44:
>> include/linux/intel-iommu.h:31:27: error: dma_remapping.h: No such file or directory
>> drivers/pci/intr_remapping.c:8:25: error: intel-iommu.h: No such file or directory
>>
>> I needed to add the following patch to complete the merge of the kvm tree
>> due to commit 14f776b8e0aa6724069a35bf4e172d93be74ba90 ("VT-d: Changes to
>> support KVM") interacting with other changes ("x64,
>> x2apic/intr-remap: ...") in the x86 tree.
>>     
>
> hm, that looks like a non-trivial merge interaction. I'm wondering how 
> we should solve this. Avi, Jesse, any preferences?
>   

I'll look at the pci tree.  URL and branch, please?

-- 
error compiling committee.c: too many arguments to function